This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1022959 - Content definition publish fails with exclude package version
Content definition publish fails with exclude package version
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.2
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: Justin Sherrill
Katello QA List
: Regression, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-24 07:13 EDT by Hayk Hovsepyan
Modified: 2014-04-24 13:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-24 13:07:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hayk Hovsepyan 2013-10-24 07:13:13 EDT
Description of problem:
When creating content view definition and adding "exclude" type filter on package with exact version, it's publishing fails with error: " 	
Failed to generate content view 'testview' version 6.
undefined method `keys' for [{:term=>{:version=>"01-0.01-1"}}]:Array (NoMethodError) "

Version-Release number of selected component (if applicable):
Katello-Katello-Installation-RegisterRHNClassic-1.1-4.noarch
foreman-postgresql-1.3.0-20.el6sat.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
python-ldap-2.3.10-1.el6.x86_64
apr-util-ldap-1.3.9-3.el6_0.1.x86_64
openldap-2.4.23-31.el6.x86_64
katello-certs-tools-1.4.4-1.el6sat.noarch
pulp-server-2.3.0-0.22.beta.el6sat.noarch
pulp-nodes-parent-2.3.0-0.22.beta.el6sat.noarch
katello-glue-pulp-1.4.6-47.el6sat.noarch
katello-1.4.6-47.el6sat.noarch
candlepin-selinux-0.8.25-1.el6sam.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
Katello-Katello-Configuration-KatelloClient-1.1-53.noarch
Katello-Katello-Installation-Satellite6Latest-1.0-13.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-qpid-client-key-pair-1.0-1.noarch
foreman-1.3.0-20.el6sat.noarch
katello-cli-common-1.4.3-27.el6sat.noarch
pulp-selinux-2.3.0-0.22.beta.el6sat.noarch
katello-configure-1.4.7-7.el6sat.noarch
pulp-puppet-plugins-2.3.0-0.22.beta.el6sat.noarch
pulp-nodes-common-2.3.0-0.22.beta.el6sat.noarch
pulp-rpm-plugins-2.3.0-0.22.beta.el6sat.noarch
candlepin-scl-1-5.el6_4.noarch
elasticsearch-0.19.9-8.el6sat.noarch
katello-common-1.4.6-47.el6sat.noarch
katello-glue-candlepin-1.4.6-47.el6sat.noarch
katello-glue-elasticsearch-1.4.6-47.el6sat.noarch
candlepin-tomcat6-0.8.25-1.el6sam.noarch
katello-all-1.4.6-47.el6sat.noarch
ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
foreman-proxy-1.3.0-3.el6sat.noarch
pulp-rpm-handlers-2.3.0-0.22.beta.el6sat.noarch
katello-agent-1.4.4-3.el6sat.noarch
Katello-Katello-Installation-HammerCLI-1.0-9.noarch
signo-0.0.23-2.el6sat.noarch
katello-cli-1.4.3-27.el6sat.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
pulp-katello-plugins-0.2-1.el6sat.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
signo-katello-0.0.23-2.el6sat.noarch
ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
katello-selinux-1.4.4-4.el6sat.noarch
katello-configure-foreman-1.4.7-7.el6sat.noarch
candlepin-0.8.25-1.el6sam.noarch
katello-foreman-all-1.4.6-47.el6sat.noarch
candlepin-cert-consumer-hades.usersys.redhat.com-1.0-1.noarch
Katello-Katello-Sanity-ImportKeys-1.2-1.noarch

How reproducible:
always

Steps to Reproduce:
1. create custom provider/product/repo (zoo3), sync repo
2. create content definition, add zoo3 repo into it
3. create filter, add zoo3 repo to it and add rule to exclude any package with provided version, for example exclude "walrus" version "5.21".
4. try to publish content definition, it will fail.

Actual results:
content definition files when there is exclude package version filter there

Expected results:
it should publish successfully

Additional info:
it works ok when filter does not contain exact version like when it filters all versions, range, min/max versions.
Comment 3 Justin Sherrill 2013-10-25 13:47:17 EDT
https://github.com/Katello/katello/pull/3271
Comment 6 Hayk Hovsepyan 2013-10-31 10:07:12 EDT
Verified on revision:
Katello-Katello-Installation-RegisterRHSM-1.1-5.noarch
pulp-selinux-2.3.0-0.26.beta.el6sat.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
python-ldap-2.3.10-1.el6.x86_64
katello-certs-tools-1.4.4-1.el6sat.noarch
openldap-2.4.23-31.el6.x86_64
pulp-server-2.3.0-0.26.beta.el6sat.noarch
pulp-nodes-common-2.3.0-0.26.beta.el6sat.noarch
ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
katello-glue-pulp-1.4.6-55.el6sat.noarch
katello-1.4.6-55.el6sat.noarch
katello-foreman-all-1.4.6-55.el6sat.noarch
katello-qpid-client-key-pair-1.0-1.noarch
candlepin-cert-consumer-apollo.usersys.redhat.com-1.0-1.noarch
signo-0.0.23-2.el6sat.noarch
Katello-Katello-Installation-Satellite6Latest-1.0-13.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
foreman-postgresql-1.3.0-24.el6sat.noarch
katello-cli-common-1.4.3-28.el6sat.noarch
katello-configure-1.4.7-7.el6sat.noarch
pulp-rpm-plugins-2.3.0-0.26.beta.el6sat.noarch
pulp-puppet-plugins-2.3.0-0.26.beta.el6sat.noarch
pulp-nodes-parent-2.3.0-0.26.beta.el6sat.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-0.8.25-1.el6sam.noarch
candlepin-selinux-0.8.25-1.el6sam.noarch
elasticsearch-0.19.9-8.el6sat.noarch
katello-common-1.4.6-55.el6sat.noarch
katello-glue-candlepin-1.4.6-55.el6sat.noarch
katello-glue-elasticsearch-1.4.6-55.el6sat.noarch
katello-all-1.4.6-55.el6sat.noarch
ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
Katello-Katello-Configuration-KatelloClient-1.1-53.noarch
pulp-rpm-handlers-2.3.0-0.26.beta.el6sat.noarch
katello-agent-1.4.4-3.el6sat.noarch
foreman-1.3.0-24.el6sat.noarch
katello-cli-1.4.3-28.el6sat.noarch
apr-util-ldap-1.3.9-3.el6_0.1.x86_64
pulp-katello-plugins-0.2-1.el6sat.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-tomcat6-0.8.25-1.el6sam.noarch
signo-katello-0.0.23-2.el6sat.noarch
katello-selinux-1.4.4-4.el6sat.noarch
katello-configure-foreman-1.4.7-7.el6sat.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
foreman-proxy-1.3.0-3.el6sat.noarch
Katello-Katello-Sanity-ImportKeys-1.2-1.noarch
Comment 7 Bryan Kearney 2014-04-24 13:07:55 EDT
This was verified and delivered with MDP2. Closing it out.

Note You need to log in before you can comment on or make changes to this bug.